.TH "GIT-UBUNTU-TAG" "1" "2017-07-19" "Git-Ubuntu 0.2" "Git-Ubuntu Manual"

.SH "NAME"
git-ubuntu tag \- Create Git tags respecting DEP14 and debian/changelog
.SH "SYNOPSIS"
.SP
.NF
\fIgit ubuntu tag\fR [\-\-logical | \-\-split | \-\-reconstruct |
\-\-upload | \-\-format <format>] [\-\-bug <bug>]
[\-d | \-\-directory <directory>] [\-f | \-\-force]
[\-\-print-name-only] [<commitish>]
.FI
.SP
.SH "DESCRIPTION"
.SP
\fBgit-ubuntu-merge\fR(1) and potentially other commands expect to use
and resolve specific tags including source package versions\&.
However, debian/changelog and Git conflict on the use of certain
reserved characters, such as "~", ":" and "."\&.
To resolve this, Debian has a standard DEP14
.UR http://dep.debian.net/deps/dep14/
.UE
which covers the appropriate transformations for versions\&.
\fBgit-ubuntu\fR follows this convention for "version mangling" but not
necessarily any others\&.
.SP
.SH "OPTIONS"
.PP
\-\-logical, \-\-split, \-\-reconstruct, \-\-upload, \-\-format <format>
.RS 4
Specify a format for the created tag\&.
The first four forms are standardized for \fBgit-ubuntu\fR usage and
generate tags, respectively, "logical/%(version)s",
"split/%(version)s", "reconstruct/%(version)s",
"upload/%(versions)s", where "%(versions)" will be replaced by the DEP14
mangling of the last version in debian/changelog as present in
\fB<commitish>\fR\&.
The last form allows free-form formatting\&.
If none of these options are given, an upload tag will be created\&.
.RE
.PP
\-\-bug <bug>
.RS 4
Launchpad bug to use to namespace the tags\&.
If specified, this will prefix the tag with "lp\fB<bug>\fR/"\&.
.RE
.PP
\-d <directory>, \-\-directory <directory>
.RS 4
The local directory to tag in\&.
If not specified, the current directory is used\&.
.RE
.PP
\-f, \-\-force
.RS 4
Overwrite existing tags, if necessary\&.
.RE
.PP
\-\-print-name-only
.RS 4
Only print the name of the specified tag, but do not create\&.
This can be useful for use by other scripts\&.
.RE
.PP
[<commitish>]
.RS 4
The commitish in the repository to tag\&.
If not specified, HEAD is tagged\&.
.RE
.SP
.SH "EXIT STATUS"
.SP
\fIgit ubuntu tag\fR exits with status 0 if the command completes
successfully\&.
\fIgit ubuntu tag\fR exits with nonzero exit status on errors\&.
.SP
.SH "REPORTING BUGS"
.SP
Report bugs at
.UR https://bugs.launchpad.net/git-ubuntu
.UE
\.
.SP
.SH "GIT-UBUNTU"
Part of the \fBgit-ubuntu\fR(1) suite
